diff --git a/base/server/python/pki/server/cli/migrate.py b/base/server/python/pki/server/cli/migrate.py
index 32546204894143e52ba36c72ed23637b64f8f602..98330eff4c7e4f94879c35b68385314dddbe01f8 100644
--- a/base/server/python/pki/server/cli/migrate.py
+++ b/base/server/python/pki/server/cli/migrate.py
@@ -20,6 +20,7 @@
 #
 
 from __future__ import absolute_import
+from __future__ import print_function
 import getopt
 import os
 import sys
@@ -38,13 +39,13 @@ class MigrateCLI(pki.cli.CLI):
         self.parser = etree.XMLParser(remove_blank_text=True)
 
     def print_help(self):
-        print 'Usage: pki-server migrate [OPTIONS]'
-        print
-        print '      --tomcat <version>       Use the specified Tomcat version.'
-        print '  -v, --verbose                Run in verbose mode.'
-        print '      --debug                  Show debug messages.'
-        print '      --help                   Show help message.'
-        print
+        print('Usage: pki-server migrate [OPTIONS]')
+        print()
+        print('      --tomcat <version>       Use the specified Tomcat version.')
+        print('  -v, --verbose                Run in verbose mode.')
+        print('      --debug                  Show debug messages.')
+        print('      --help                   Show help message.')
+        print()
 
     def execute(self, argv):
         try:
@@ -52,7 +53,7 @@ class MigrateCLI(pki.cli.CLI):
                 'tomcat=', 'verbose', 'debug', 'help'])
 
         except getopt.GetoptError as e:
-            print 'ERROR: ' + str(e)
+            print('ERROR: ' + str(e))
             self.print_help()
             sys.exit(1)
 
@@ -74,12 +75,12 @@ class MigrateCLI(pki.cli.CLI):
                 sys.exit()
 
             else:
-                print 'ERROR: unknown option ' + o
+                print('ERROR: unknown option ' + o)
                 self.print_help()
                 sys.exit(1)
 
         if not tomcat_version:
-            print 'ERROR: missing Tomcat version'
+            print('ERROR: missing Tomcat version')
             self.print_help()
             sys.exit(1)
 
@@ -116,7 +117,7 @@ class MigrateCLI(pki.cli.CLI):
 
     def migrate_server_xml(self, filename, tomcat_version):
         if self.verbose:
-            print 'Migrating %s' % filename
+            print('Migrating %s' % filename)
 
         document = etree.parse(filename, self.parser)
 
@@ -127,7 +128,7 @@ class MigrateCLI(pki.cli.CLI):
             self.migrate_server_xml_to_tomcat8(document)
 
         elif tomcat_version:
-            print 'ERROR: invalid Tomcat version %s' % tomcat_version
+            print('ERROR: invalid Tomcat version %s' % tomcat_version)
             self.print_help()
             sys.exit(1)
 
@@ -188,7 +189,7 @@ class MigrateCLI(pki.cli.CLI):
                         'org.apache.catalina.core.JreMemoryLeakPreventionListener',
                         'org.apache.catalina.core.ThreadLocalLeakPreventionListener'}:
                     if self.debug:
-                        print '* removing %s' % class_name
+                        print('* removing %s' % class_name)
                     server.remove(child)
 
                 elif class_name == 'org.apache.catalina.core.JasperListener':
@@ -210,7 +211,7 @@ class MigrateCLI(pki.cli.CLI):
 
         if jasper_listener is not None:
             if self.debug:
-                print '* adding %s' % jasper_listener.get('className')
+                print('* adding %s' % jasper_listener.get('className'))
             server.insert(index, jasper_listener)
             index += 1
 
@@ -231,7 +232,7 @@ class MigrateCLI(pki.cli.CLI):
             index += 1
 
         if self.debug:
-            print '* updating secure Connector'
+            print('* updating secure Connector')
 
         connectors = server.findall('Service/Connector')
         for connector in connectors:
@@ -239,7 +240,7 @@ class MigrateCLI(pki.cli.CLI):
                 connector.set('protocol', 'HTTP/1.1')
 
         if self.debug:
-            print '* updating AccessLogValve'
+            print('* updating AccessLogValve')
 
         valves = server.findall('Service/Engine/Host/Valve')
         for valve in valves:
@@ -297,7 +298,7 @@ class MigrateCLI(pki.cli.CLI):
                 if class_name == 'org.apache.catalina.core.JasperListener'\
                         or class_name == 'org.apache.catalina.mbeans.ServerLifecycleListener':
                     if self.debug:
-                        print '* removing %s' % class_name
+                        print('* removing %s' % class_name)
                     server.remove(child)
                 elif class_name == 'org.apache.catalina.startup.VersionLoggerListener':
                     version_logger_listener = None
@@ -313,7 +314,7 @@ class MigrateCLI(pki.cli.CLI):
 
         if version_logger_listener is not None:
             if self.debug:
-                print '* adding VersionLoggerListener'
+                print('* adding VersionLoggerListener')
             server.insert(index, version_logger_listener)
             index += 1
 
@@ -331,7 +332,7 @@ class MigrateCLI(pki.cli.CLI):
 
         if jre_memory_leak_prevention_listener is not None:
             if self.debug:
-                print '* adding JreMemoryLeakPreventionListener'
+                print('* adding JreMemoryLeakPreventionListener')
             server.insert(index, jre_memory_leak_prevention_listener)
             index += 1
 
@@ -341,12 +342,12 @@ class MigrateCLI(pki.cli.CLI):
 
         if thread_local_leak_prevention_listener is not None:
             if self.debug:
-                print '* adding ThreadLocalLeakPreventionListener'
+                print('* adding ThreadLocalLeakPreventionListener')
             server.insert(index, thread_local_leak_prevention_listener)
             index += 1
 
         if self.debug:
-            print '* updating secure Connector'
+            print('* updating secure Connector')
 
         connectors = server.findall('Service/Connector')
         for connector in connectors:
@@ -357,7 +358,7 @@ class MigrateCLI(pki.cli.CLI):
                     'org.apache.coyote.http11.Http11Protocol')
 
         if self.debug:
-            print '* updating AccessLogValve'
+            print('* updating AccessLogValve')
 
         valves = server.findall('Service/Engine/Host/Valve')
         for valve in valves:
@@ -378,7 +379,7 @@ class MigrateCLI(pki.cli.CLI):
             return
 
         if self.verbose:
-            print 'Migrating %s' % filename
+            print('Migrating %s' % filename)
 
         document = etree.parse(filename, self.parser)
 
@@ -389,7 +390,7 @@ class MigrateCLI(pki.cli.CLI):
             self.migrate_context_xml_to_tomcat8(document)
 
         elif tomcat_version:
-            print 'ERROR: invalid Tomcat version %s' % tomcat_version
+            print('ERROR: invalid Tomcat version %s' % tomcat_version)
             self.print_help()
             sys.exit(1)
 
@@ -405,7 +406,7 @@ class MigrateCLI(pki.cli.CLI):
         if resources is not None:
 
             if self.debug:
-                print '* removing Resources'
+                print('* removing Resources')
 
             context.remove(resources)
 
@@ -419,7 +420,7 @@ class MigrateCLI(pki.cli.CLI):
         if resources is None:
 
             if self.debug:
-                print '* adding Resources'
+                print('* adding Resources')
 
             resources = etree.Element('Resources')
             context.append(resources)
@@ -436,7 +437,7 @@ class MigrateCLI(pki.cli.CLI):
             path = os.path.join(instance.lib_dir, filename)
 
             if self.verbose:
-                print 'Removing %s' % path
+                print('Removing %s' % path)
 
             os.remove(path)
 
@@ -452,7 +453,7 @@ class MigrateCLI(pki.cli.CLI):
             dest = os.path.join(instance.lib_dir, filename)
 
             if self.verbose:
-                print 'Creating %s' % dest
+                print('Creating %s' % dest)
 
             os.symlink(source, dest)
             os.lchown(dest, instance.uid, instance.gid)
diff --git a/base/server/python/pki/server/cli/nuxwdog.py b/base/server/python/pki/server/cli/nuxwdog.py
index 36ff3c5d544bab1d38ced83c1cc74bcc6aef137d..674fc034010aa16cd6687f22071b7e6dd00cd6f2 100644
--- a/base/server/python/pki/server/cli/nuxwdog.py
+++ b/base/server/python/pki/server/cli/nuxwdog.py
@@ -20,6 +20,7 @@
 #
 
 from __future__ import absolute_import
+from __future__ import print_function
 import getopt
 import fileinput
 import os
@@ -59,11 +60,11 @@ class NuxwdogEnableCLI(pki.cli.CLI):
             'Enable nuxwdog')
 
     def print_help(self):
-        print 'Usage: pki-server nuxwdog-enable [OPTIONS]'
-        print
-        print '  -v, --verbose                Run in verbose mode.'
-        print '      --help                   Show help message.'
-        print
+        print('Usage: pki-server nuxwdog-enable [OPTIONS]')
+        print()
+        print('  -v, --verbose                Run in verbose mode.')
+        print('      --help                   Show help message.')
+        print()
 
     def execute(self, argv):
         try:
@@ -71,7 +72,7 @@ class NuxwdogEnableCLI(pki.cli.CLI):
                 'verbose', 'help'])
 
         except getopt.GetoptError as e:
-            print 'ERROR: ' + str(e)
+            print('ERROR: ' + str(e))
             self.print_help()
             sys.exit(1)
 
@@ -84,7 +85,7 @@ class NuxwdogEnableCLI(pki.cli.CLI):
                 sys.exit()
 
             else:
-                print 'ERROR: unknown option ' + o
+                print('ERROR: unknown option ' + o)
                 self.print_help()
                 sys.exit(1)
 
@@ -172,7 +173,7 @@ class NuxwdogEnableCLI(pki.cli.CLI):
 
     def enable_nuxwdog_server_xml(self, filename, instance):
         if self.verbose:
-            print 'Enabling nuxwdog in %s' % filename
+            print('Enabling nuxwdog in %s' % filename)
 
         conf_file = self.get_conf_file(instance)
 
@@ -265,11 +266,11 @@ class NuxwdogDisableCLI(pki.cli.CLI):
             'Disable nuxwdog')
 
     def print_help(self):
-        print 'Usage: pki-server nuxwdog-disable [OPTIONS]'
-        print
-        print '  -v, --verbose                Run in verbose mode.'
-        print '      --help                   Show help message.'
-        print
+        print('Usage: pki-server nuxwdog-disable [OPTIONS]')
+        print()
+        print('  -v, --verbose                Run in verbose mode.')
+        print('      --help                   Show help message.')
+        print()
 
     def execute(self, argv):
         try:
@@ -277,7 +278,7 @@ class NuxwdogDisableCLI(pki.cli.CLI):
                 'verbose', 'help'])
 
         except getopt.GetoptError as e:
-            print 'ERROR: ' + str(e)
+            print('ERROR: ' + str(e))
             self.print_help()
             sys.exit(1)
 
@@ -290,7 +291,7 @@ class NuxwdogDisableCLI(pki.cli.CLI):
                 sys.exit()
 
             else:
-                print 'ERROR: unknown option ' + o
+                print('ERROR: unknown option ' + o)
                 self.print_help()
                 sys.exit(1)
 
@@ -351,7 +352,7 @@ class NuxwdogDisableCLI(pki.cli.CLI):
 
     def disable_nuxwdog_server_xml(self, filename, instance):
         if self.verbose:
-            print 'Disabling nuxwdog in %s' % filename
+            print('Disabling nuxwdog in %s' % filename)
 
         pw_conf = os.path.join(instance.conf_dir, 'password.conf')
 
diff --git a/base/server/python/pki/server/cli/subsystem.py b/base/server/python/pki/server/cli/subsystem.py
index 2f1e7e2f8c90d387cf93bd22506d7b9b6422e9de..b1c20af59de460cc9d8e9ae4a6288787082cc02a 100644
--- a/base/server/python/pki/server/cli/subsystem.py
+++ b/base/server/python/pki/server/cli/subsystem.py
@@ -20,6 +20,7 @@
 #
 
 from __future__ import absolute_import
+from __future__ import print_function
 import getopt
 import os
 import sys
@@ -41,9 +42,9 @@ class SubsystemCLI(pki.cli.CLI):
 
     @staticmethod
     def print_subsystem(subsystem):
-        print '  Subsystem ID: %s' % subsystem.name
-        print '  Instance ID: %s' % subsystem.instance.name
-        print '  Enabled: %s' % subsystem.is_enabled()
+        print('  Subsystem ID: %s' % subsystem.name)
+        print('  Instance ID: %s' % subsystem.instance.name)
+        print('  Enabled: %s' % subsystem.is_enabled())
 
 
 class SubsystemFindCLI(pki.cli.CLI):
@@ -52,12 +53,12 @@ class SubsystemFindCLI(pki.cli.CLI):
         super(SubsystemFindCLI, self).__init__('find', 'Find subsystems')
 
     def usage(self):
-        print 'Usage: pki-server subsystem-find [OPTIONS]'
-        print
-        print '  -i, --instance <instance ID>    Instance ID.'
-        print '  -v, --verbose                   Run in verbose mode.'
-        print '      --help                      Show help message.'
-        print
+        print('Usage: pki-server subsystem-find [OPTIONS]')
+        print()
+        print('  -i, --instance <instance ID>    Instance ID.')
+        print('  -v, --verbose                   Run in verbose mode.')
+        print('      --help                      Show help message.')
+        print()
 
     def execute(self, args):
 
@@ -67,7 +68,7 @@ class SubsystemFindCLI(pki.cli.CLI):
                 'verbose', 'help'])
 
         except getopt.GetoptError as e:
-            print 'ERROR: ' + str(e)
+            print('ERROR: ' + str(e))
             self.usage()
             sys.exit(1)
 
@@ -85,12 +86,12 @@ class SubsystemFindCLI(pki.cli.CLI):
                 sys.exit()
 
             else:
-                print 'ERROR: unknown option ' + o
+                print('ERROR: unknown option ' + o)
                 self.usage()
                 sys.exit(1)
 
         if not instance_name:
-            print 'ERROR: missing instance ID'
+            print('ERROR: missing instance ID')
             self.usage()
             sys.exit(1)
 
@@ -114,7 +115,7 @@ class SubsystemFindCLI(pki.cli.CLI):
             if first:
                 first = False
             else:
-                print
+                print()
 
             SubsystemCLI.print_subsystem(subsystem)
 
@@ -125,12 +126,12 @@ class SubsystemShowCLI(pki.cli.CLI):
         super(SubsystemShowCLI, self).__init__('show', 'Show subsystem')
 
     def usage(self):
-        print 'Usage: pki-server subsystem-show [OPTIONS] <subsystem ID>'
-        print
-        print '  -i, --instance <instance ID>    Instance ID.'
-        print '  -v, --verbose                   Run in verbose mode.'
-        print '      --help                      Show help message.'
-        print
+        print('Usage: pki-server subsystem-show [OPTIONS] <subsystem ID>')
+        print()
+        print('  -i, --instance <instance ID>    Instance ID.')
+        print('  -v, --verbose                   Run in verbose mode.')
+        print('      --help                      Show help message.')
+        print()
 
     def execute(self, argv):
 
@@ -140,12 +141,12 @@ class SubsystemShowCLI(pki.cli.CLI):
                 'verbose', 'help'])
 
         except getopt.GetoptError as e:
-            print 'ERROR: ' + str(e)
+            print('ERROR: ' + str(e))
             self.usage()
             sys.exit(1)
 
         if len(args) != 1:
-            print 'ERROR: missing subsystem ID'
+            print('ERROR: missing subsystem ID')
             self.usage()
             sys.exit(1)
 
@@ -164,12 +165,12 @@ class SubsystemShowCLI(pki.cli.CLI):
                 sys.exit()
 
             else:
-                print 'ERROR: unknown option ' + o
+                print('ERROR: unknown option ' + o)
                 self.usage()
                 sys.exit(1)
 
         if not instance_name:
-            print 'ERROR: missing instance ID'
+            print('ERROR: missing instance ID')
             self.usage()
             sys.exit(1)
 
@@ -187,12 +188,12 @@ class SubsystemEnableCLI(pki.cli.CLI):
         super(SubsystemEnableCLI, self).__init__('enable', 'Enable subsystem')
 
     def usage(self):
-        print 'Usage: pki-server subsystem-enable [OPTIONS] <subsystem ID>'
-        print
-        print '  -i, --instance <instance ID>    Instance ID.'
-        print '  -v, --verbose                   Run in verbose mode.'
-        print '      --help                      Show help message.'
-        print
+        print('Usage: pki-server subsystem-enable [OPTIONS] <subsystem ID>')
+        print()
+        print('  -i, --instance <instance ID>    Instance ID.')
+        print('  -v, --verbose                   Run in verbose mode.')
+        print('      --help                      Show help message.')
+        print()
 
     def execute(self, argv):
 
@@ -202,12 +203,12 @@ class SubsystemEnableCLI(pki.cli.CLI):
                 'verbose', 'help'])
 
         except getopt.GetoptError as e:
-            print 'ERROR: ' + str(e)
+            print('ERROR: ' + str(e))
             self.usage()
             sys.exit(1)
 
         if len(args) != 1:
-            print 'ERROR: missing subsystem ID'
+            print('ERROR: missing subsystem ID')
             self.usage()
             sys.exit(1)
 
@@ -226,12 +227,12 @@ class SubsystemEnableCLI(pki.cli.CLI):
                 sys.exit()
 
             else:
-                print 'ERROR: unknown option ' + o
+                print('ERROR: unknown option ' + o)
                 self.usage()
                 sys.exit(1)
 
         if not instance_name:
-            print 'ERROR: missing instance ID'
+            print('ERROR: missing instance ID')
             self.usage()
             sys.exit(1)
 
@@ -254,12 +255,12 @@ class SubsystemDisableCLI(pki.cli.CLI):
             'Disable subsystem')
 
     def usage(self):
-        print 'Usage: pki-server subsystem-disable [OPTIONS] <subsystem ID>'
-        print
-        print '  -i, --instance <instance ID>    Instance ID.'
-        print '  -v, --verbose                   Run in verbose mode.'
-        print '      --help                      Show help message.'
-        print
+        print('Usage: pki-server subsystem-disable [OPTIONS] <subsystem ID>')
+        print()
+        print('  -i, --instance <instance ID>    Instance ID.')
+        print('  -v, --verbose                   Run in verbose mode.')
+        print('      --help                      Show help message.')
+        print()
 
     def execute(self, argv):
 
@@ -269,12 +270,12 @@ class SubsystemDisableCLI(pki.cli.CLI):
                 'verbose', 'help'])
 
         except getopt.GetoptError as e:
-            print 'ERROR: ' + str(e)
+            print('ERROR: ' + str(e))
             self.usage()
             sys.exit(1)
 
         if len(args) != 1:
-            print 'ERROR: missing subsystem ID'
+            print('ERROR: missing subsystem ID')
             self.usage()
             sys.exit(1)
 
@@ -293,12 +294,12 @@ class SubsystemDisableCLI(pki.cli.CLI):
                 sys.exit()
 
             else:
-                print 'ERROR: unknown option ' + o
+                print('ERROR: unknown option ' + o)
                 self.usage()
                 sys.exit(1)
 
         if not instance_name:
-            print 'ERROR: missing instance ID'
+            print('ERROR: missing instance ID')
             self.usage()
             sys.exit(1)
 
diff --git a/base/server/python/pki/server/deployment/pkiconfig.py b/base/server/python/pki/server/deployment/pkiconfig.py
index 8bca657ded2c224b08717b587a56b8cfd20605ce..c22698cb6bc8b7809d3711ee7c6e52e238775638 100644
--- a/base/server/python/pki/server/deployment/pkiconfig.py
+++ b/base/server/python/pki/server/deployment/pkiconfig.py
@@ -20,6 +20,7 @@
 #
 
 # PKI Deployment Constants
+from __future__ import print_function
 PKI_DEPLOYMENT_DEFAULT_CLIENT_DIR_PERMISSIONS = 0o0755
 PKI_DEPLOYMENT_DEFAULT_DIR_PERMISSIONS = 0o0770
 PKI_DEPLOYMENT_DEFAULT_EXE_PERMISSIONS = 0o0770
@@ -127,38 +128,38 @@ def str2bool(string):
 #        'pki_enable_java_debugger=True' in the appropriate
 #        deployment configuration file.
 def prepare_for_an_external_java_debugger(instance):
-    print
-    print PKI_DEPLOYMENT_INTERRUPT_BANNER
-    print
-    print "The following 'JAVA_OPTS' MUST be edited in"
-    print "'%s':" % instance
-    print
-    print "    JAVA_OPTS=\"-DRESTEASY_LIB=/usr/share/java/resteasy \""
-    print "              \"-Xdebug -Xrunjdwp:transport=dt_socket,\""
-    print "              \"address=8000,server=y,suspend=n \""
-    print "              \"-Djava.awt.headless=true -Xmx128M\""
-    print
+    print()
+    print(PKI_DEPLOYMENT_INTERRUPT_BANNER)
+    print()
+    print("The following 'JAVA_OPTS' MUST be edited in")
+    print("'%s':" % instance)
+    print()
+    print("    JAVA_OPTS=\"-DRESTEASY_LIB=/usr/share/java/resteasy \"")
+    print("              \"-Xdebug -Xrunjdwp:transport=dt_socket,\"")
+    print("              \"address=8000,server=y,suspend=n \"")
+    print("              \"-Djava.awt.headless=true -Xmx128M\"")
+    print()
     raw_input("Enable external java debugger 'JAVA_OPTS' "
               "and press return to continue  . . . ")
-    print
-    print PKI_DEPLOYMENT_INTERRUPT_BANNER
-    print
+    print()
+    print(PKI_DEPLOYMENT_INTERRUPT_BANNER)
+    print()
     return
 
 
 def wait_to_attach_an_external_java_debugger():
-    print
-    print PKI_DEPLOYMENT_INTERRUPT_BANNER
-    print
-    print "Attach the java debugger to this process on the port specified by"
-    print "the 'address' selected by 'JAVA_OPTS' (e. g. - port 8000) and"
-    print "set any desired breakpoints"
-    print
+    print()
+    print(PKI_DEPLOYMENT_INTERRUPT_BANNER)
+    print()
+    print("Attach the java debugger to this process on the port specified by")
+    print("the 'address' selected by 'JAVA_OPTS' (e. g. - port 8000) and")
+    print("set any desired breakpoints")
+    print()
     raw_input("Please attach an external java debugger "
               "and press return to continue  . . . ")
-    print
-    print PKI_DEPLOYMENT_INTERRUPT_BANNER
-    print
+    print()
+    print(PKI_DEPLOYMENT_INTERRUPT_BANNER)
+    print()
     return
 
 
diff --git a/base/server/python/pki/server/deployment/pkihelper.py b/base/server/python/pki/server/deployment/pkihelper.py
index 589da5c74f068adfb60c3cd9526bcd0c93e88e76..de3b1bc558dcc9e8a80b048bd53c75bacdc64223 100644
--- a/base/server/python/pki/server/deployment/pkihelper.py
+++ b/base/server/python/pki/server/deployment/pkihelper.py
@@ -22,6 +22,7 @@
 
 # System Imports
 from __future__ import absolute_import
+from __future__ import print_function
 import errno
 import sys
 import os
@@ -4455,7 +4456,7 @@ class ConfigClient:
 
                 data.adminCertRequest = b64
             else:
-                print "log.PKI_CONFIG_PKCS10_SUPPORT_ONLY"
+                print("log.PKI_CONFIG_PKCS10_SUPPORT_ONLY")
                 raise Exception(log.PKI_CONFIG_PKCS10_SUPPORT_ONLY)
 
     def set_issuing_ca_parameters(self, data):
diff --git a/base/server/python/pki/server/deployment/pkimanifest.py b/base/server/python/pki/server/deployment/pkimanifest.py
index d959efb4a2503793ba7658a0fdfb7ed713f5f00a..09c9ac6681d5dbde0be7de5882b2ba0e0d82dc85 100644
--- a/base/server/python/pki/server/deployment/pkimanifest.py
+++ b/base/server/python/pki/server/deployment/pkimanifest.py
@@ -21,6 +21,7 @@
 
 # System Imports
 from __future__ import absolute_import
+from __future__ import print_function
 import csv
 
 # PKI Deployment Imports
@@ -97,7 +98,7 @@ class File:
             with open(self.filename, "r") as fd:
                 cr = csv.reader(fd)
                 for row in cr:
-                    print tuple(row)
+                    print(tuple(row))
         except IOError as exc:
             config.pki_log.error(log.PKI_IOERROR_1, exc,
                                  extra=config.PKI_INDENTATION_LEVEL_1)
diff --git a/base/server/python/pki/server/deployment/pkiparser.py b/base/server/python/pki/server/deployment/pkiparser.py
index 5b1e4f2d24d19bff61e03f0c16c0c0f08ed6d258..9f7777ec5934c5f626f237b53cc640f9a77298f7 100644
--- a/base/server/python/pki/server/deployment/pkiparser.py
+++ b/base/server/python/pki/server/deployment/pkiparser.py
@@ -21,6 +21,7 @@
 
 # System Imports
 from __future__ import absolute_import
+from __future__ import print_function
 import ConfigParser
 import argparse
 import getpass
@@ -136,20 +137,20 @@ class PKIConfigParser:
         if len(config.pki_root_prefix) > 0:
             if not os.path.exists(config.pki_root_prefix) or \
                     not os.path.isdir(config.pki_root_prefix):
-                print "ERROR:  " + \
-                      log.PKI_DIRECTORY_MISSING_OR_NOT_A_DIRECTORY_1 % \
-                      config.pki_root_prefix
-                print
+                print("ERROR:  " +
+                      log.PKI_DIRECTORY_MISSING_OR_NOT_A_DIRECTORY_1 %
+                      config.pki_root_prefix)
+                print()
                 self.arg_parser.print_help()
                 self.arg_parser.exit(-1)
 
         # always default that configuration file exists
         if not os.path.exists(config.default_deployment_cfg) or \
                 not os.path.isfile(config.default_deployment_cfg):
-            print "ERROR:  " + \
-                  log.PKI_FILE_MISSING_OR_NOT_A_FILE_1 % \
-                  config.default_deployment_cfg
-            print
+            print("ERROR:  " +
+                  log.PKI_FILE_MISSING_OR_NOT_A_FILE_1 %
+                  config.default_deployment_cfg)
+            print()
             self.arg_parser.print_help()
             self.arg_parser.exit(-1)
 
@@ -157,10 +158,10 @@ class PKIConfigParser:
             # verify user configuration file exists
             if not os.path.exists(config.user_deployment_cfg) or \
                     not os.path.isfile(config.user_deployment_cfg):
-                print "ERROR:  " + \
-                      log.PKI_FILE_MISSING_OR_NOT_A_FILE_1 % \
-                      config.user_deployment_cfg
-                print
+                print("ERROR:  " +
+                      log.PKI_FILE_MISSING_OR_NOT_A_FILE_1 %
+                      config.user_deployment_cfg)
+                print()
                 self.arg_parser.print_help()
                 self.arg_parser.exit(-1)
 
@@ -247,7 +248,7 @@ class PKIConfigParser:
         config.user_config.set(section, key, value)
 
     def print_text(self, message):
-        print ' ' * self.indent + message
+        print(' ' * self.indent + message)
 
     def read_text(self, message, section=None, key=None, default=None,
                   options=None, sign=':', allow_empty=True,
@@ -337,8 +338,8 @@ class PKIConfigParser:
                     'pki_replicationdb_password',
                     'pki_security_domain_password')
 
-                print 'Loading deployment configuration from ' + \
-                      config.user_deployment_cfg + '.'
+                print('Loading deployment configuration from ' +
+                      config.user_deployment_cfg + '.')
                 self.pki_config.read([config.user_deployment_cfg])
                 config.user_config.read([config.user_deployment_cfg])
 
@@ -372,7 +373,7 @@ class PKIConfigParser:
                             except ConfigParser.NoOptionError:
                                 continue
         except ConfigParser.ParsingError as err:
-            print err
+            print(err)
             rv = err
         return rv
 
diff --git a/base/server/python/pki/server/deployment/scriptlets/infrastructure_layout.py b/base/server/python/pki/server/deployment/scriptlets/infrastructure_layout.py
index 365bfb7637a0073fe068a1fa3b444d6663496cfc..f7ef82825ade768994632c53872d1d8f0a745559 100644
--- a/base/server/python/pki/server/deployment/scriptlets/infrastructure_layout.py
+++ b/base/server/python/pki/server/deployment/scriptlets/infrastructure_layout.py
@@ -22,6 +22,7 @@
 from __future__ import absolute_import
 
 # PKI Deployment Imports
+from __future__ import print_function
 from .. import pkiconfig as config
 from .. import pkimessages as log
 from .. import pkiscriptlet
@@ -63,8 +64,8 @@ class PkiScriptlet(pkiscriptlet.AbstractBasePkiScriptlet):
             deployer.mdict['pki_default_deployment_cfg'],
             deployer.mdict['pki_default_deployment_cfg_replica'])
 
-        print "Storing deployment configuration into " + \
-              deployer.mdict['pki_user_deployment_cfg_replica'] + "."
+        print("Storing deployment configuration into " +
+              deployer.mdict['pki_user_deployment_cfg_replica'] + ".")
 
         # Archive the user deployment configuration excluding the sensitive
         # parameters
